/// <reference types="lodash" />
/// <reference types="node" />
import { ReadableOptions } from 'stream';
import { Readable } from 'stronger-typed-streams';
import { Dictionary } from 'lodash';
import { IGSDK } from './InstagramSDKWeb';
import { IGBody } from './RequestWeb';
export declare class GenericStream<TQuery extends Dictionary<any>, TResponse extends IGBody, TOut> extends Readable<TOut> {
    private sdk;
    method: string;
    private pathToItems;
    private pathToPageInfo;
    private paginationProp;
    query: TQuery;
    private customSuccessHandler;
    requestInProgress: boolean;
    endCursor: string | undefined;
    ended: boolean;
    destroyed: boolean;
    delayMinInterval: number;
    delayMaxInterval: number;
    private externalBuffer;
    private boundErrorHandler;
    private boundSuccessHandler;
    constructor(opt: ReadableOptions, sdk: IGSDK, method: string, pathToItems: string, pathToPageInfo: string, paginationProp: string, query: TQuery, customSuccessHandler?: CustomSuccessHandler<TQuery, TResponse, TOut> | undefined);
    _read(size: number): void;
    requestData(): void;
    getItems(endCursor: string | undefined): any;
    destroy(...args: any[]): void;
    private errorHandler(err);
    private successHandler(response);
}
export declare type CustomSuccessHandler<U, T, TOut> = (this: GenericStream<U, T & IGBody, TOut>, response: IGBody) => void;
