/// <reference types="winston" />
import * as tough from 'tough-cookie';
import { LoggerInstance } from 'winston';
import Request from './Request';
export declare class InstagramSDK {
    username: string;
    password: string;
    static Errors: {
        LoginError: any;
        ThrottledError: any;
    };
    getSelfFollowers: (query?: {}) => Request;
    getSelfAllFollowers: (args: any, options: any) => Promise<{}>;
    jar: tough.CookieJar;
    appRefreshInterval: number;
    settings: any;
    userAgent: any;
    logLevel: any;
    logger: LoggerInstance;
    proxy: any;
    uuid: string;
    advertising_id: string;
    device_id: string;
    account_id: string | number;
    rank_token: string | null;
    isLoggedIn: boolean;
    token: string | null;
    constructor(username: string, password: string, userSettingsDirPath: string, options?: any);
    setup(): Promise<void>;
    extractCSRFToken({res}: any): Promise<any>;
    getFacebookOTA(): Request;
    getExplore(): Request;
    getMegaphoneLog(): Request;
    getVisualInbox(): Request;
    getRecentActivity(): Request;
    getV2Inbox(cursorId?: null): Request;
    getRankedRecipients(): Request;
    getTimelineFeed(maxId?: null): Request;
    getRecentRecipients(): Request;
    getReelsTrayFeed(): Request;
    getAutoCompleteUserList(): Promise<any>;
    syncFeatures(preLogin?: boolean): Promise<any>;
    login(force?: boolean): Promise<this>;
    checkUsername(username: string): Request;
    getSelf(): Request;
    getSelfRecentMedia(_options?: any): Request;
    getSelfAllMedia(args: any, {timeout}?: {
        timeout?: number;
    }): Promise<{}>;
    getUser(userID: string | number): Request;
    getReelsMediaFeed(usersIDS: Array<string | number>): Request;
    getTagsFeed(tagName: string): Request;
    getUserRecentMedia(userID: string | number, _options?: any): Request;
    getUserAllMedia(args: any[], options: any): Promise<{}>;
    usersSearch({q, count}?: {
        q?: string;
        count?: number;
    }): Request;
    getSelfFollows(query?: any): Request;
    getSelfAllFollows(args: any, options: any): Promise<{}>;
    getSelfFollowsStream(args: any, options: any): any;
    getUserFollows(userID: number | string, query?: any): Request;
    getUserAllFollows(args: any, options: any): Promise<{}>;
    getUserFollowsStream(args: any, options: any): any;
    getSelfFollowedBy(query?: {}): Request;
    getSelfAllFollowedBy(args: any, options: any): Promise<{}>;
    getSelfFollowersStream(args: any, options: any): any;
    getUserFollowers(userID: string | number, query?: any): Request;
    getUserAllFollowers(args: any, options: any): Promise<{}>;
    getUserFollowersStream(args: any, options: any): any;
    getUserRelationship(userID: string | number): Request;
    getUsersRelationships(usersIDS: string[]): Request;
    followUser(userID: string | number): Request;
    unFollowUser(userID: string | number): Request;
    getMediaInfoById(mediaID: string | number): Request;
    getCommentsForMedia(mediaID: string | number, maxId?: number | null): Request;
    getLikesForMedia(mediaID: string | number): Request;
    addLikeForMedia(mediaID: string | number): Request;
    removeLikeForMedia(mediaID: string | number): Request;
    tagsSearch(q?: string, count?: number): Request;
    private _request(url?);
    private _sendLoginFlow(justLoggedIn);
    private _getSignupChallenge();
    private _updateLoginState(data);
    private _paginate(method?, methodArgs?, {timeout, paginationProp, dataProp}?);
    private _stream(method?, methodArgs?, {timeout, paginationProp, dataProp}?);
}
