/// <reference types="winston" />
import { LoggerInstance } from 'winston';
export default class Request {
    ig: any;
    private static _normalizeQueryParams(query);
    requestId: string;
    method: string;
    body: {};
    query: {};
    headers: {
        Connection: string;
        Accept: string;
        'Accept-Encoding': string;
        'X-IG-Capabilities': string;
        'X-IG-Connection-Type': string;
        'X-IG-Connection-Speed': string;
        'X-FB-HTTP-Engine': string;
        'Content-Type': string;
        'Accept-Language': string;
    };
    defaultRequestOptions: {
        timeout: number;
    };
    defaultRequestOptions2: {
        decompress: boolean;
        followRedirect: boolean;
    };
    checkStatusCode: boolean;
    successStatusCodes: Set<number>;
    repeatOnTooManyRequestsInterval: number;
    parseResponseInJSON: boolean;
    reloginOnError: boolean;
    url: string;
    cachedSendPromise: Promise<any>;
    logger: LoggerInstance;
    constructor(ig: any, url: string);
    setReloginOnError(relogin: boolean): this;
    setParseResponseInJSON(parse: boolean): this;
    setSuccessStatusCodes(codes: number[]): this;
    setCheckStatusCode(check: boolean): this;
    setMethod(method: string): this;
    setBody(body: any): this;
    setQuery(query: any): this;
    setHeaders(headers: any): this;
    addBodyParam(key: string, value: string): this;
    addQueryParam(key: string, value: string): this;
    addHeader(key: string, value: string): this;
    then(...args: any[]): Promise<any>;
    catch(...args: any[]): Promise<any>;
    send(): Promise<any>;
}
