"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = require("crypto");
const uuid = require("uuid");
const Constants_1 = require("./Constants");
class Signatures {
    static generateUUID(hyphens = true) {
        const UUID = uuid.v4();
        if (!hyphens) {
            return UUID.replace(/-/g, '');
        }
        return UUID;
    }
    static generateDeviceId() {
        return 'android-' + crypto.randomBytes(8).toString('hex');
    }
    static generateSignature(data) {
        const json = JSON.stringify(data), hash = crypto.createHmac('SHA256', Constants_1.default.IG_SIG_KEY).update(json).digest('hex');
        return {
            ig_sig_key_version: Constants_1.default.SIG_KEY_VERSION,
            signed_body: `${hash}.${json}`,
        };
    }
}
exports.default = Signatures;
;
