"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
class Logger {
    static getLogger(label, options) {
        if (winston.loggers.has(label)) {
            return winston.loggers.get(label);
        }
        return winston.loggers.add(label, {
            console: Object.assign({}, {
                label,
                prettyPrint: true,
                timestamp: true,
                level: (process.env.LOG_LEVEL || 'info').toLowerCase(),
            }, options),
        });
    }
}
exports.default = Logger;
